<h1 align="center">
  Godot OpenRPG</br>
  <small>Learn to create turn-based games</small>
</h1>

<p align='center'>
  <img src="https://i.imgur.com/lhi0U9v.png" alt="Godot Open RPG banner" />
</p>

OpenRPG is a tool and a demo to create Role Playing Games with turn-based combat. It's made with Godot 3.1 (alpha 2).

*Looking for a Zelda-like game? Check out our [Open Source A-RPG demo](https://github.com/GDquest/make-pro-2d-games-with-godot/).*

![Combat system screenshot](https://i.imgur.com/hmtCd6J.png)

*The combat system, in progress, in v0.2, with placeholder art.*

## Our mission

Together, we're creating a codebase and tools to show you some of the best practices to create:

- Turn-based games
- A combat system
- An inventory system
- Character progression
- User interface with multiple menus

And more! Do you want to contribute and improve your programming skills with Godot? Check out the open issues, suggest improvements and report bugs by opening new ones, and be sure to check the contributing guidelines below.

### The current project's scope

Our initial goal is to create a mini-demo with the full combat loop, character experience, skills, some pretty art, and basic map navigaton and conversation with NPCs.

We are building a demo that the community can learn from and reuse as a template to build complete games.


## Contributing Guidelines

All contributors are welcome 🙂. To ensure a smooth and a productive experience for everyone working together, we came up with some guidelines we all follow here. In summary:

- Get in touch and communicate! Let us know what you are working on or report bugs using the issues tab. Join the [GDquest Discord server](https://discord.gg/87NNb3Z) to discuss the project live or to get in touch with the community
- Be respectful to everyone around. Please review the [GDQuest Code of Conduct](code-of-conduct.md).
- For code, we follow the [GDScript styleguide](http://docs.godotengine.org/en/latest/getting_started/scripting/gdscript/gdscript_styleguide.html). We try to write clean and self-documenting GDScript as it helps us build upon each other's work. We use static typing to write more robust code and get full autocompletion in Godot 3.1. Also, we're here to review and to help you improve your code.
- The maintainers may refactor or tweak your code to make it fit the project's style, and for educational purposes. But we'll give you the opportunity to refine the style by yourself

Check our full [Contributors Guide](http://gdquest.com/open-source/contributing-guidelines/) for more information 😄
